#
# spec file for package icon-naming-utils
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           icon-naming-utils
Version:        0.8.90
Release:        23.1
Summary:        Icon Name Specification Mapping Script
License:        GPL-2.0-or-later
Group:          Development/Tools/Other
URL:            http://tango-project.org/Standard_Icon_Naming_Specification
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  perl-XML-Simple
Requires:       perl-XML-Simple
Provides:       %{name}-devel = %{version}-%{release}
BuildArch:      noarch

%description
A script for creating a symlink mapping for deprecated icon names to
the new icon naming specification names for desktop icon themes.

%prep
%setup -q

%build
%configure\
	--libexecdir=%{_prefix}/lib/icon-naming-utils
make %{?_smp_mflags}

%install
%make_install

%files
%doc AUTHORS ChangeLog NEWS README
%{_prefix}/lib/icon-naming-utils
%{_datadir}/dtds
%{_datadir}/icon-naming-utils
%{_datadir}/pkgconfig/*.pc

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Sat Feb 21 2009 vuntz@novell.com
- Update to version 0.8.90:
  + Remove stock_mail-priority-high symlink (lp#319991)
  + Move some of the help links to help-contents instead of
    help-browser (fdo#13048)
  + Add MS Office Open XML MIME type links (lp#222441)
* Fri Sep 12 2008 maw@suse.de
- Update to version 0.8.7:
  + New icon types.
* Thu Jan 31 2008 rodrigo@suse.de
- Update to version 0.8.6:
  * Add applications-other link to gnome-other (bfo#12155)
  * Add phone-link to stock_cell-phone (bfo#12156)
  * Update README with example of use
* Fri Feb 16 2007 dobey@suse.de
- Update to version 0.8.2
* Mon Jan 29 2007 ro@suse.de
- remove gnome-filesystem from BuildRequires
* Mon Jan  8 2007 sbrabec@suse.cz
- Spec file cleanup.
* Thu Dec 14 2006 maw@suse.de
- Move to /usr.
* Thu Aug 24 2006 jhargadon@suse.de
- update to version 0.8.1
- legacy-icon-mapping.xml: Add links for edit-select-all
- legacy-icon-mapping.xml: Add links for the system-run and
  application-certificate icons
* Fri Aug 11 2006 jhargadon@suse.de
- update to version 0.8.0
- legacy-icon-mapping.xml: Add mail-send and link gnome send icons
- Rename drive/media-cdrom to -optical
- Add media-flash, and link the gnome flash media icons here
- Add security-high, security-medium, and security-low with links to
  the stock_lock icons which these replace with better metaphors
- Add links for new view-restore icon
- Add more links for view-fullscreen icon
- Add links for window-close icon
* Fri Apr 21 2006 dobey@suse.de
- Update to version 0.7.2
  Bug 167307 - Missing icons for some OOo-related file types in GNOME
* Fri Feb 24 2006 dobey@suse.de
- Update to version 0.7.1
- Fixes https://bugzilla.novell.com/show_bug.cgi?id=151292
* Fri Feb 17 2006 dobey@suse.de
- Update to version 0.7.0
- Adds some missing icon compatibility links
* Tue Feb  7 2006 dobey@suse.de
- Update to version 0.6.8
- Fixes https://bugs.freedesktop.org/show_bug.cgi?id=5834
- Fixes missing symlinks to .icon files
- Fixes other missing icon compatibility links
* Fri Feb  3 2006 dobey@suse.de
- Update to version 0.6.7
- Fixes http://bugzilla.gnome.org/show_bug.cgi?id=328606
- Fixes https://bugs.freedesktop.org/show_bug.cgi?id=5794
- Fixes other miscellaneous bugs
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 dobey@suse.de
- Update to version 0.6.6
* Fri Jan 13 2006 dobey@suse.de
- Update to version 0.6.5
* Fri Jan  6 2006 dobey@suse.de
- Update to version 0.6.3
* Fri Dec 16 2005 dobey@suse.de
- Update to version 0.6.2
* Mon Dec 12 2005 sbrabec@suse.cz
- Updated to version 0.6.1.
* Wed Dec  7 2005 dobey@suse.de
- Update to 0.6.0
* Wed Nov 30 2005 dobey@suse.de
- Update to 0.5.1
* Fri Nov 18 2005 dobey@suse.de
- Update to 0.5.0
* Mon Nov  7 2005 dobey@suse.de
- Update to 0.4.0
* Wed Oct 19 2005 dobey@suse.de
- Update to 0.3.2
* Mon Oct 17 2005 gekker@suse.de
- Initial import into autobuild, Version 0.3.1
